Subject: Re: bug#35166: 27.0.50; Buffer state inconsistent after vc-retrieve-tag

From: Mauro Aranda <[email-masked]>
Date: Wed, 23 Jun 2021 12:13:28 -0300

Lars Ingebrigtsen <[email-masked]> writes:

> Mauro Aranda <[email-masked]> writes:
>
>> Please, consider either improving what 'vc-retrieve-tag' does, regarding the
>> previous state of the buffer, or improving the documentation about this
>> behavior.  Or, if you think I'm plain wrong, please explain me the
>> reasons, since I would like to understand more of it.
>
> I think it would make sense for `vc-retrieve-tag' to preserve the
> readedness of the buffer.  Anybody got any comments here?

FWIW, I've been saving the readedness since I reported this bug by using
before-revert-hook and after-revert-hook.

I don't know if vc-retrieve-tag should save it, but I think leaving the
buffer in this state (view-mode on and not read-only) should be avoided,
if possible.